package com.docus.server.collect.basic.http;

import com.docus.server.collect.AbstractHttpCollector;
import com.docus.server.entity.TaskConfig;
import com.docus.server.util.PeriodTime;
import com.docus.server.record.common.pojo.dto.TBasicDTO;
import com.google.common.collect.Lists;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * 主动http收集器,返回从客户那边获取的数据
 */
@Component("httpTBasicCollectorImpl")
public class HttpTBasicCollectorImpl extends AbstractHttpCollector<TBasicDTO> {
    @Override
    public List<TBasicDTO> page(PeriodTime periodTime, TaskConfig taskConfig) {
        TBasicDTO deptDTO = new TBasicDTO();

        TBasicDTO deptDTO1 = new TBasicDTO();
        return Lists.newArrayList(deptDTO, deptDTO1);
    }
}
